%define name    ksmoothdock
%define version 4.5
%define release %mkrel 1

Summary:       DESKTOP PANEL FOR KDE
Name:          %{name}
Version:       %{version}
Release:       %{release}
License:       GPL
Url:           http://ksmoothdock.sourceforge.net/
Group:         Graphical desktop/KDE
Source:        %{name}-%{version}_automake-1.9.tar.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}
BuildRequires: kdebase-devel chrpath

%description
KSmoothDock is a cool desktop panel (like KDE's kicker) for KDE 3.2 with 
smooth zooming (2 modes: normal & parabolic). Its aim is to provide 
a cool alternative/complement to kicker. As it is intended for KDE/Linux,
its behaviour will be like that of kicker. 

%prep
%setup -q -n %{name}

%build

#export QTDIR=%qtdir
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%configure --with-qt-libraries=/usr/lib/qt3/%_lib/

%make

%install
rm -Rf %{buildroot}
%makeinstall

desktop-file-install --vendor="" \
  --add-category="KDE" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --add-only-show-in="KDE" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applnk/Utilities/*


mkdir -p %{buildroot}/{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
ln -s ../hicolor/16x16/apps/%{name}.png %{buildroot}/%{_miconsdir}
ln -s ../hicolor/32x32/apps/%{name}.png %{buildroot}/%{_liconsdir}
ln -s hicolor/32x32/apps/%{name}.png %{buildroot}/%{_iconsdir}
chrpath -d %{buildroot}%{_bindir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL README TODO
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_bindir}/%{name}
%{_datadir}/applications/ksmoothdock.desktop
%{_datadir}/applnk/Utilities/ksmoothdock.desktop
%{_datadir}/apps/ksmoothdock/ksmoothdockui.rc
%dir %{_docdir}/HTML/en/ksmoothdock
%{_docdir}/HTML/en/ksmoothdock/common
%{_docdir}/HTML/en/ksmoothdock/index.cache.bz2
%{_docdir}/HTML/en/ksmoothdock/index.docbook
%{_iconsdir}/hicolor/16x16/apps/ksmoothdock.png
%{_iconsdir}/hicolor/32x32/apps/ksmoothdock.png


%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 4.5-1mdv2008.1
+ Revision: 140918
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jun 14 2007 Emmanuel Blindauer <blindauer@mandriva.org> 4.5-1mdv2008.0
+ Revision: 39330
- 4.5 version and xdg menu


* Wed Mar 14 2007 Emmanuel Blindauer <blindauer@mandriva.org> 4.3-1mdv2007.1
+ Revision: 143848
- try to fix x86_64 compilation
- new version
- Import ksmoothdock

* Mon Aug 14 2006 Emmanuel Blindauer <blindauer@mandriva.org> 3.6.1-3mdv2007.0
- correct some rpmlint warning and errors

* Sat May 20 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.6.1-2mdk
- build with automake1.8

* Sat Feb 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 3.6.1-1mdk
- New release 3.6.1
- Rediff patch 1, 2

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.5.1-4mdk
- Fix Build
- use mkrel

* Fri Feb 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.5.1-3mdk
- Add patch2: fix mem leak

* Fri Feb 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.5.1-2mdk
- Add patch1: fix includemoc

* Fri Feb 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.5.1-1mdk
- 3.5.1

* Tue Feb 22 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3-3mdk
- Fix build on 64_x86

* Fri Jul 23 2004 Michael Scherer <misc@mandrake.org> 3.3-2mdk 
- rebuild for new gcc
- remove libtool hack
- add description

* Sat May 29 2004 Buchan Milne <bgmilne@linux-mandrake.com> 3.3-1mdk
- first package

